> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mapp.com/llms.txt
> Use this file to discover all available pages before exploring further.
# Clone a group
> Creates a clone of a group that already exists in the system.
Most of the sendout options and delivery settings are identical for the original and the clone.
Group members are not copied
Request body example:
{
"name" : "Group Name",
"description" : "Description of the group",
"email" : "group@test.com",
"includePreparedMessages" : "true",
"includeTestUsers" : "false"
}
## OpenAPI
````json POST /group/clone
{
"openapi": "3.0.4",
"info": {
"title": "Engage public API",
"version": "1"
},
"servers": [
{
"url": "https://your-engage-domain.com/api/rest"
}
],
"tags": [
{
"name": "Address Attributes"
},
{
"name": "Async"
},
{
"name": "Audit Log"
},
{
"name": "Automation"
},
{
"name": "Blacklist"
},
{
"name": "CMS"
},
{
"name": "Contact"
},
{
"name": "Content"
},
{
"name": "Coupon"
},
{
"name": "Draft Message"
},
{
"name": "Ecommerce"
},
{
"name": "Group"
},
{
"name": "Group Attributes"
},
{
"name": "Landing Page"
},
{
"name": "Member Attributes"
},
{
"name": "Membership"
},
{
"name": "Message"
},
{
"name": "Meta"
},
{
"name": "Mobile Push"
},
{
"name": "Prepared Message"
},
{
"name": "Process"
},
{
"name": "Profile Attributes"
},
{
"name": "Related Data"
},
{
"name": "Segmentation"
},
{
"name": "System"
},
{
"name": "System User"
},
{
"name": "Usage Statistics"
},
{
"name": "User"
},
{
"name": "Whiteboard"
}
],
"paths": {
"/group/clone": {
"post": {
"tags": [
"Group"
],
"summary": "Clone a group",
"description": "Creates a clone of a group that already exists in the system.{
\"name\" : \"Group Name\",
\"description\" : \"Description of the group\",
\"email\" : \"group@test.com\",
\"includePreparedMessages\" : \"true\",
\"includeTestUsers\" : \"false\"
}",
"operationId": "clone",
"parameters": [
{
"name": "groupId",
"in": "query",
"description": "ID of the group to be cloned",
"required": true,
"schema": {
"type": "integer",
"format": "int64"
}
}
],
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/GroupCloneOptions"
}
}
},
"x-bodyName": "body"
},
"responses": {
"200": {
"description": "Example response: